net.minecraftforge.client.event

## Class RenderGameOverlayEvent.Post

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.client.event.RenderGameOverlayEvent
    - - net.minecraftforge.client.event.RenderGameOverlayEvent.Post

- Enclosing class:
    RenderGameOverlayEvent

      public static class RenderGameOverlayEvent.Post
      extends RenderGameOverlayEvent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.client.event.RenderGameOverlayEvent

      `RenderGameOverlayEvent.Chat, RenderGameOverlayEvent.ElementType, RenderGameOverlayEvent.Post, RenderGameOverlayEvent.Pre, RenderGameOverlayEvent.Text`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    - ### Fields inherited from class net.minecraftforge.client.event.RenderGameOverlayEvent

      `mouseX, mouseY, partialTicks, resolution, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderGameOverlayEvent.Post(RenderGameOverlayEvent parent, RenderGameOverlayEvent.ElementType type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCancelable()` Determine if this function is cancelable at all.

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RenderGameOverlayEvent.Post

          public RenderGameOverlayEvent.Post(RenderGameOverlayEvent parent,
                                     RenderGameOverlayEvent.ElementType type)

  - ### Method Detail

    - #### isCancelable

          public boolean isCancelable()

      Description copied from class: `Event`
      Determine if this function is cancelable at all.
      Overrides:
        `isCancelable` in class `Event`
      Returns:
        If access to setCanceled should be allowed